package com.example.fieldagent.ui.addsite

import android.os.Bundle
import android.util.Log
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import androidx.navigation.fragment.findNavController
import com.example.fieldagent.R
import com.example.fieldagent.databinding.FragmentAddSiteBinding
import com.example.fieldagent.databinding.FragmentHomeBinding
import com.example.fieldagent.ui.homescreen.adapter.HomeAdapter


class AddSiteFragment : Fragment() {

    private var _binding: FragmentAddSiteBinding? = null

    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentAddSiteBinding.inflate(inflater, container, false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)



        val options = resources.getStringArray(R.array.availability).toList()
        val adapter = ArrayAdapter(requireActivity(), R.layout.dropdown_item, options)

        binding.autoCompleteBuilding.setAdapter(adapter)

        binding.autoCompleteBuilding.setOnClickListener {

            binding.autoCompleteBuilding.showDropDown()
        }


        val options2 = resources.getStringArray(R.array.condition).toList()
        val adapter2 = ArrayAdapter(requireActivity(), R.layout.dropdown_item, options2)

        binding.autoCompleteTextView.setAdapter(adapter2)

        binding.autoCompleteTextView.setOnClickListener {

            binding.autoCompleteTextView.showDropDown()
        }



        binding.ivLeft.setOnClickListener {

            findNavController().popBackStack()
        }
    }


    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }

}