package com.example.fieldagent.ui.homescreen.adapter

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.RelativeLayout
import android.widget.TextView
import androidx.fragment.app.FragmentActivity
import androidx.navigation.findNavController
import androidx.navigation.fragment.findNavController
import androidx.recyclerview.widget.RecyclerView
import com.example.fieldagent.R
import com.example.fieldagent.data.models.responses.UserData
import com.example.fieldagent.databinding.FragmentHomeBinding
import com.example.fieldagent.databinding.HomeAdapterBinding
import com.example.fieldagent.databinding.ItemPagingLoaderBinding
import com.example.fieldagent.ui.homescreen.HomeFragment
import com.example.fieldagent.utils.LoadingStatus.ITEM
import com.example.fieldagent.utils.LoadingStatus.LOADING

class HomeAdapter(private val  fragment: HomeFragment,private val items: ArrayList<UserData>) :
    RecyclerView.Adapter<RecyclerView.ViewHolder>() {

    private var allItemsLoaded = true

    override fun onBindViewHolder(holder: RecyclerView.ViewHolder, position: Int) {
        if (holder.itemViewType != LOADING)
            (holder as ViewHolder).bind(items[position])
    }


    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
        return if (viewType == ITEM) {
            ViewHolder(HomeAdapterBinding.inflate(LayoutInflater.from(parent.context), parent, false))
        } else {
            ViewHolderLoader(ItemPagingLoaderBinding.inflate(LayoutInflater.from(parent.context), parent, false))
        }
    }

    override fun getItemCount(): Int = if (allItemsLoaded) items.size else items.size + 1

    override fun getItemViewType(position: Int) = if (position >= items.size) LOADING else ITEM

    inner class ViewHolder(val binding: HomeAdapterBinding) :
        RecyclerView.ViewHolder(binding.root) {

        init {
            binding.clMain.setOnClickListener {
                fragment.clickItem(bindingAdapterPosition)
            }
        }

        fun bind(item: UserData) = with(binding) {
            /*tvName.text = item.message

            loadImage("tag",binding.ivPic, item.form_user?.profile_image,
                R.drawable.image_placeholder)

            tvCallDuration.text = getTimeAgo(item.created_at)*/
        }
    }

    inner class ViewHolderLoader(val binding: ItemPagingLoaderBinding) :
        RecyclerView.ViewHolder(binding.root)

    fun setAllItemsLoaded(allLoaded: Boolean) {
        allItemsLoaded = allLoaded
    }
}
/*(var homes: List<HomeFragment.Home>) : RecyclerView.Adapter<HomeAdapter.HomeViewHolder>() {

    class HomeViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        val nameText: TextView = itemView.findViewById(R.id.txtName)
        val locationText: TextView = itemView.findViewById(R.id.txtLocation)
        val timeText: TextView = itemView.findViewById(R.id.txtTime)
        val moneyText: TextView = itemView.findViewById(R.id.txtPayment)
        val statusText: TextView = itemView.findViewById(R.id.txtStatus)
        val viewClick: RelativeLayout = itemView.findViewById(R.id.rlView)
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): HomeViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.home_adapter, parent, false)
        return HomeViewHolder(view)
    }

    override fun onBindViewHolder(holder: HomeViewHolder, position: Int) {
        val user = homes[position]
        holder.nameText.text = user.name
        holder.locationText.text = user.address
        holder.timeText.text = user.time
        holder.moneyText.text = user.payment
        holder.statusText.text = user.status
        holder.viewClick.setOnClickListener {view->

            view.findNavController().navigate(R.id.damageListFragment)
        }

    }

    override fun getItemCount(): Int = homes.size
}*/